View Issue Details

IDProjectCategoryView StatusLast Update
15882Bug reportsSurvey editingpublic2020-03-09 16:32
Reportersteinhmor Assigned Top_teichmann  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.1.2 
Summary15882: not able to edit "other-replace-text" in List (Radio)-questions
Description

When I create a List-question I'm not able to enter a alternate text for the "other" option because there is no textfield for this option in the backend, so that always "Sonstiges:" is shown in the survey-frontend. This bug does not effect the Multiple choice-questions, because there is a field with the title " Label for 'Other:' option".

I tried to fix this by adding a line in the database, which was not successfull.
(INSERT INTO lime_question_attributes (qaid, qid, attribute, value, language) VALUES (NULL, '20', 'other_replace_text', 'Anderes Berufsfeld:', NULL);

Steps To Reproduce

create a List (Radio)-question and trie to edit the "other"

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.4+200214
I will donate to the project if issue is resolvedYes
BrowserFirefox
Database & DB-Version5.7.28 - MySQL Community Server (GPL)
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3

Activities

steinhmor

steinhmor

2020-02-17 11:37

reporter  

Mazi

Mazi

2020-02-27 10:42

partner   ~56224

@cdorin, I can reproduce this issue. It is a rather serious regression, please fix soon!

other_list_radio.png (51,801 bytes)   
other_list_radio.png (51,801 bytes)   
p_teichmann

p_teichmann

2020-03-05 16:13

administrator   ~56322

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29648

lime_release_bot

lime_release_bot

2020-03-09 16:32

administrator   ~56381

Fixed in Release 4.1.9+200310

Related Changesets

LimeSurvey: master cd4079ff

2020-03-03 10:27:32

p_teichmann

Details Diff
Fixed issue 15882: Missing attribute "Label for other" in listradio question Affected Issues
15882
mod - application/views/survey/questions/answer/listradio/config.xml Diff File

Issue History

Date Modified Username Field Change
2020-02-17 11:37 steinhmor New Issue
2020-02-17 11:37 steinhmor File Added: Label for 'Other:' option is only shown in multiple-choice-questions.png
2020-02-27 10:42 Mazi File Added: other_list_radio.png
2020-02-27 10:42 Mazi Note Added: 56224
2020-03-05 16:13 p_teichmann Changeset attached => LimeSurvey master cd4079ff
2020-03-05 16:13 p_teichmann Note Added: 56322
2020-03-05 16:13 p_teichmann Assigned To => p_teichmann
2020-03-05 16:13 p_teichmann Resolution open => fixed
2020-03-05 16:31 ollehar Status new => resolved
2020-03-09 16:32 lime_release_bot Note Added: 56381
2020-03-09 16:32 lime_release_bot Status resolved => closed